Appearance
GET
/warehouse-management/purchase-order/purchase-ordersRequired scope:
viskan:purchaseorder:readSearches for purchase orders in the system.
Parameters
Query parameters
modifiedAfter stringFilter on last modification date. More details.
page integerThe page to search for.
Default value:
1purchaseOrderId integerMultivalued
An optional filter on one/many purchaseOrderId. For example purchaseOrderId=123&purchaseOrderId=789
purchaseOrderNumber stringMultivalued
An optional filter on one/many purchaseOrderNumber For example purchaseOrderNumber=abc&purchaseOrderNumber=xyz
resultsPerPage integerThe number of results per page. Must be a value between
1 and 200.searchId stringThe search ID to use for continued pages. Not usable together with any of the filters. More details.
status enumMultivalued
Filter on current return status. For example status=CREATED&status=DELIVERED.
Enum:
CANCELEDCREATEDDELIVEREDPART_DELIVEREDPLANNEDwarehouseId integerMultivalued
The ids of the warehouse . Mutually exclusive with warehouseNumber
warehouseNumber stringMultivalued
The number of the warehouse we want purchase for. Mutually exclusive with warehouseId
Response
The search was successful.
JSON
{
"hits": [
{
"agreedDeliveryDate": "2023-10-12T14:36:43.412+01:00",
"desiredDeliveryDate": "2023-10-12T14:36:43.412+01:00",
"orderDate": "2023-10-12T14:36:43.412+01:00",
"plannedArrivalDate": "2023-10-12T14:36:43.412+01:00",
"purchaseOrderId": 12345,
"purchaseOrderNumber": "...",
"rows": [
{
"customFields": [...],
"europeanArticleNumber": "...",
"priceLookUpNumber": "...",
"quantity": 12345,
"quantityDelivered": 12345,
"rowId": 12345,
"status": "...",
"stockKeepingUnitId": 12345,
"unitPriceExcludingTax": 12345
}
],
"status": "...",
"supplier": {
"supplierId": 12345,
"supplierName": "...",
"supplierNumber": "..."
},
"warehouse": {
"warehouseId": 12345,
"warehouseName": "...",
"warehouseNumber": "..."
}
}
],
"page": 12345,
"pagesLeft": 12345,
"searchId": "...",
"totalHits": 12345
}